/*
 * TemplateJDialog.java
 *
 * Created on 1 octobre 2008, 08:26
 */

package org.cocktail.kiwi.client.nibctrl;

import org.cocktail.application.client.eof.EOExercice;
import org.cocktail.kiwi.client.metier.EOModePaiement;
import org.cocktail.kiwi.common.utilities.CocktailIcones;

import com.webobjects.foundation.NSArray;

/**
 *
 * @author  cpinsard
 */
public class ParametrageView extends javax.swing.JDialog {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;


	/** Creates new form TemplateJDialog */
	public ParametrageView(java.awt.Frame parent, boolean modal) {
		super(parent, modal);
		initComponents();
		initGui();
	}

	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the Form Editor.
	 */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        buttonGroup2 = new javax.swing.ButtonGroup();
        buttonGroup3 = new javax.swing.ButtonGroup();
        buttonGroup4 = new javax.swing.ButtonGroup();
        buttonGroup5 = new javax.swing.ButtonGroup();
        buttonGroup6 = new javax.swing.ButtonGroup();
        buttonGroup7 = new javax.swing.ButtonGroup();
        buttonValidate = new javax.swing.JButton();
        buttonCancel = new javax.swing.JButton();
        jLabel11 = new javax.swing.JLabel();
        jLabel14 = new javax.swing.JLabel();
        jLabel15 = new javax.swing.JLabel();
        jPanel1 = new javax.swing.JPanel();
        checkMontantIndemnites = new javax.swing.JCheckBox();
        checkNombreRepas = new javax.swing.JCheckBox();
        checkPlafondRepas = new javax.swing.JCheckBox();
        checkNombreNuits = new javax.swing.JCheckBox();
        denominateurRemb = new javax.swing.JComboBox();
        jLabel2 = new javax.swing.JLabel();
        jLabel1 = new javax.swing.JLabel();
        checkMontantRepas = new javax.swing.JCheckBox();
        checkPlafondNuits = new javax.swing.JCheckBox();
        checkProrata = new javax.swing.JCheckBox();
        numerateurRemb = new javax.swing.JComboBox();
        checkCtrlAvances = new javax.swing.JCheckBox();
        jPanel2 = new javax.swing.JPanel();
        jLabel10 = new javax.swing.JLabel();
        temSansSignatairesEtatFrais = new javax.swing.JRadioButton();
        jLabel4 = new javax.swing.JLabel();
        temSignataireUniqueEtatFrais = new javax.swing.JRadioButton();
        jLabel3 = new javax.swing.JLabel();
        temSignatairesKiwi = new javax.swing.JRadioButton();
        temRespFinancier = new javax.swing.JRadioButton();
        temOrdonnateurUb = new javax.swing.JRadioButton();
        temRespService = new javax.swing.JRadioButton();
        temSansSignataireOm = new javax.swing.JRadioButton();
        jLabel5 = new javax.swing.JLabel();
        temTousSignatairesOm = new javax.swing.JRadioButton();
        jLabel6 = new javax.swing.JLabel();
        temOrdonnateurEtab = new javax.swing.JRadioButton();
        temSignatairesJefyAdmin = new javax.swing.JRadioButton();
        temSignataireUniqueOm = new javax.swing.JRadioButton();
        temTousSignatairesEtatFrais = new javax.swing.JRadioButton();
        jPanel3 = new javax.swing.JPanel();
        temAllConventions = new javax.swing.JCheckBox();
        checkMultiLbud = new javax.swing.JCheckBox();
        temCheckSaisieMotifs = new javax.swing.JCheckBox();
        temRestrictionLbuds = new javax.swing.JCheckBox();
        temCheckForfait = new javax.swing.JCheckBox();
        checkTelechargement = new javax.swing.JCheckBox();
        checkClotureAutomatique = new javax.swing.JCheckBox();
        jLabel16 = new javax.swing.JLabel();
        checkSaisieMissionDate = new javax.swing.JCheckBox();
        checkDateCreationMission = new javax.swing.JCheckBox();
        jPanel4 = new javax.swing.JPanel();
        temAvanceOp = new javax.swing.JRadioButton();
        jLabel7 = new javax.swing.JLabel();
        modesAvance = new javax.swing.JComboBox();
        modesAvanceDPAO = new javax.swing.JComboBox();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        temAvanceDepense = new javax.swing.JRadioButton();
        jSeparator7 = new javax.swing.JSeparator();
        jSeparator8 = new javax.swing.JSeparator();
        jLabel12 = new javax.swing.JLabel();
        jLabel17 = new javax.swing.JLabel();
        jPanel5 = new javax.swing.JPanel();
        jLabel13 = new javax.swing.JLabel();
        checkCapClassiques = new javax.swing.JRadioButton();
        modesChargesAPayer = new javax.swing.JComboBox();
        jLabel18 = new javax.swing.JLabel();
        checkCapSans = new javax.swing.JRadioButton();
        checkCapExtourne = new javax.swing.JRadioButton();
        jLabel19 = new javax.swing.JLabel();
        popupExercices = new javax.swing.JComboBox();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("KIWI - Paramètres de l'application");

        buttonValidate.setToolTipText("Valider les modifications");

        buttonCancel.setToolTipText("Annuler");
        buttonCancel.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonCancelActionPerformed(evt);
            }
        });

        jLabel11.setFont(new java.awt.Font("Arial", 1, 12));
        jLabel11.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel11.setText("Calcul Mission");

        jLabel14.setFont(new java.awt.Font("Arial", 1, 12));
        jLabel14.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel14.setText("Avances");

        jLabel15.setFont(new java.awt.Font("Arial", 1, 12));
        jLabel15.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel15.setText("Divers");

        checkMontantIndemnites.setText("Autoriser la modification du montant des indemnités");
        checkMontantIndemnites.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkMontantIndemnitesActionPerformed(evt);
            }
        });

        checkNombreRepas.setText("Autoriser la modification du nombre de repas");
        checkNombreRepas.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkNombreRepasActionPerformed(evt);
            }
        });

        checkPlafondRepas.setText("Autoriser le dépassement du seuil pour le remboursement des repas");
        checkPlafondRepas.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkPlafondRepasActionPerformed(evt);
            }
        });

        checkNombreNuits.setText("Autoriser la modification du nombre de nuits");
        checkNombreNuits.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkNombreNuitsActionPerformed(evt);
            }
        });

        denominateurRemb.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel2.setText("  -  Quotient :");

        jLabel1.setFont(new java.awt.Font("Tahoma", 0, 14));
        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel1.setText("/");

        checkMontantRepas.setText("Autoriser la modification du montant des repas");
        checkMontantRepas.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkMontantRepasActionPerformed(evt);
            }
        });

        checkPlafondNuits.setText("Autoriser le dépassement du seuil pour le remboursement des nuits");
        checkPlafondNuits.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkPlafondNuitsActionPerformed(evt);
            }
        });

        checkProrata.setText("Activer un taux de remboursement spécifique à certains agents");
        checkProrata.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkProrataActionPerformed(evt);
            }
        });

        numerateurRemb.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        checkCtrlAvances.setText("Forcer le montant des avances à 75%");
        checkCtrlAvances.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkCtrlAvancesActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(checkProrata)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel2)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(numerateurRemb, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel1)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(denominateurRemb, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(checkCtrlAvances)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(checkNombreNuits)
                            .add(checkMontantIndemnites))
                        .add(92, 92, 92)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(checkMontantRepas)
                            .add(checkNombreRepas)))
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(checkPlafondNuits)
                        .add(18, 18, 18)
                        .add(checkPlafondRepas)))
                .addContainerGap(90, Short.MAX_VALUE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(checkNombreNuits)
                    .add(checkNombreRepas))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(checkMontantIndemnites)
                    .add(checkMontantRepas))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(checkPlafondNuits)
                    .add(checkPlafondRepas))
                .add(25, 25, 25)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(checkProrata)
                    .add(numerateurRemb, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel1)
                    .add(jLabel2)
                    .add(denominateurRemb, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(checkCtrlAvances)
                .addContainerGap())
        );

        jLabel10.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel10.setText("Signataires Ordre de Mission :");

        buttonGroup4.add(temSansSignatairesEtatFrais);
        temSansSignatairesEtatFrais.setText("Sans");

        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel4.setText("Signataires à imprimer pour l'Ordre de Mission :");

        buttonGroup4.add(temSignataireUniqueEtatFrais);
        temSignataireUniqueEtatFrais.setText("Un");

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel3.setText("Base des Signataires :");

        buttonGroup1.add(temSignatairesKiwi);
        temSignatairesKiwi.setText("KIWI");

        buttonGroup2.add(temRespFinancier);
        temRespFinancier.setText("Responsable Financier");
        temRespFinancier.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                temRespFinancierActionPerformed(evt);
            }
        });

        buttonGroup5.add(temOrdonnateurUb);
        temOrdonnateurUb.setText(" UB ");

        buttonGroup2.add(temRespService);
        temRespService.setText("Responsable de service");

        buttonGroup3.add(temSansSignataireOm);
        temSansSignataireOm.setText("Sans");

        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel5.setText("Signataires à imprimer pour l'Etat de Frais :");

        buttonGroup3.add(temTousSignatairesOm);
        temTousSignatairesOm.setText("Tous");

        jLabel6.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel6.setText("Ordonnateur :");

        buttonGroup5.add(temOrdonnateurEtab);
        temOrdonnateurEtab.setText("ETAB");

        buttonGroup1.add(temSignatairesJefyAdmin);
        temSignatairesJefyAdmin.setText("JEFY ADMIN");

        buttonGroup3.add(temSignataireUniqueOm);
        temSignataireUniqueOm.setText("Un");

        buttonGroup4.add(temTousSignatairesEtatFrais);
        temTousSignatairesEtatFrais.setText("Tous");

        org.jdesktop.layout.GroupLayout jPanel2Layout = new org.jdesktop.layout.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jLabel4)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(temSansSignataireOm)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(temSignataireUniqueOm)
                        .add(2, 2, 2)
                        .add(temTousSignatairesOm))
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jLabel6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 223, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 223, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jPanel2Layout.createSequentialGroup()
                                .add(temOrdonnateurEtab)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(temOrdonnateurUb))
                            .add(jPanel2Layout.createSequentialGroup()
                                .add(temSansSignatairesEtatFrais)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(temSignataireUniqueEtatFrais)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(temTousSignatairesEtatFrais))))
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 224, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(temSignatairesJefyAdmin)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(temSignatairesKiwi))
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jLabel10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 222, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(temRespFinancier)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(temRespService)))
                .addContainerGap(268, Short.MAX_VALUE))
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel3)
                    .add(temSignatairesJefyAdmin)
                    .add(temSignatairesKiwi))
                .add(4, 4, 4)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel10)
                    .add(temRespFinancier)
                    .add(temRespService))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel4)
                    .add(temSansSignataireOm)
                    .add(temSignataireUniqueOm)
                    .add(temTousSignatairesOm))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel5)
                    .add(temSansSignatairesEtatFrais)
                    .add(temSignataireUniqueEtatFrais)
                    .add(temTousSignatairesEtatFrais))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel6)
                    .add(temOrdonnateurEtab)
                    .add(temOrdonnateurUb))
                .addContainerGap())
        );

        temAllConventions.setText("Proposer TOUTES les conventions (Non Limitatives et Limitatives)");
        temAllConventions.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                temAllConventionsActionPerformed(evt);
            }
        });

        checkMultiLbud.setText("Activer les lignes budgétaires multiples");
        checkMultiLbud.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkMultiLbudActionPerformed(evt);
            }
        });

        temCheckSaisieMotifs.setText("Autoriser la saisie des motifs trajet");
        temCheckSaisieMotifs.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                temCheckSaisieMotifsActionPerformed(evt);
            }
        });

        temRestrictionLbuds.setText("Restreindre la recherche aux lignes budgétaires de l'Utilisateur");
        temRestrictionLbuds.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                temRestrictionLbudsActionPerformed(evt);
            }
        });

        temCheckForfait.setText("Prise en compte du Forfait si < Montant réel des remboursements");
        temCheckForfait.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                temCheckForfaitActionPerformed(evt);
            }
        });

        checkTelechargement.setText("Téléchargement Automatique des taux à chaque lancement du serveur");
        checkTelechargement.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkTelechargementActionPerformed(evt);
            }
        });

        checkClotureAutomatique.setText("Cloture Automatique des missions à chaque lancement de serveur");
        checkClotureAutomatique.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkClotureAutomatiqueActionPerformed(evt);
            }
        });

        jLabel16.setForeground(new java.awt.Color(153, 153, 153));
        jLabel16.setText("> 12 Mois Avec Frais , > 6 Mois Sans Frais");

        checkSaisieMissionDate.setText("Interdire la saisie d'une mission après la date de début de mission");
        checkSaisieMissionDate.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkSaisieMissionDateActionPerformed(evt);
            }
        });

        checkDateCreationMission.setText("Date de création de la mission sur l'OM");
        checkDateCreationMission.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkDateCreationMissionActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout jPanel3Layout = new org.jdesktop.layout.GroupLayout(jPanel3);
        jPanel3.setLayout(jPanel3Layout);
        jPanel3Layout.setHorizontalGroup(
            jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel3Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(temCheckForfait, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 363, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(temCheckSaisieMotifs, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 375, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jPanel3Layout.createSequentialGroup()
                        .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(checkTelechargement)
                            .add(checkMultiLbud)
                            .add(temRestrictionLbuds)
                            .add(temAllConventions))
                        .add(45, 45, 45)
                        .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(checkDateCreationMission, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 350, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(checkSaisieMissionDate, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 350, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                .add(jPanel3Layout.createSequentialGroup()
                                    .add(checkClotureAutomatique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 349, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(21, 21, 21))
                                .add(jLabel16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 319, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))))
                .addContainerGap(27, Short.MAX_VALUE))
        );
        jPanel3Layout.setVerticalGroup(
            jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel3Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel3Layout.createSequentialGroup()
                        .add(checkClotureAutomatique)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel16)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(checkSaisieMissionDate, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(checkDateCreationMission, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jPanel3Layout.createSequentialGroup()
                        .add(checkTelechargement)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(checkMultiLbud)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(temAllConventions)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(temRestrictionLbuds)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(temCheckForfait)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(temCheckSaisieMotifs, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(12, Short.MAX_VALUE))
        );

        buttonGroup6.add(temAvanceOp);
        temAvanceOp.setText("OP");

        jLabel7.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel7.setText("Gestion automatisée des avances : ");

        modesAvance.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        modesAvanceDPAO.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel8.setText("Mode Paiement Avances (DEP) : ");

        jLabel9.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel9.setText("Mode Paiement Régul (OP) : ");

        buttonGroup6.add(temAvanceDepense);
        temAvanceDepense.setText("Dépense");

        org.jdesktop.layout.GroupLayout jPanel4Layout = new org.jdesktop.layout.GroupLayout(jPanel4);
        jPanel4.setLayout(jPanel4Layout);
        jPanel4Layout.setHorizontalGroup(
            jPanel4Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel4Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel4Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(jLabel7, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 207, Short.MAX_VALUE)
                    .add(jLabel8, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(jLabel9, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel4Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel4Layout.createSequentialGroup()
                        .add(temAvanceDepense)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(temAvanceOp))
                    .add(modesAvanceDPAO, 0, 498, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, modesAvance, 0, 498, Short.MAX_VALUE))
                .addContainerGap())
        );
        jPanel4Layout.setVerticalGroup(
            jPanel4Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel4Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel4Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel7)
                    .add(temAvanceDepense)
                    .add(temAvanceOp))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jPanel4Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel8)
                    .add(modesAvance, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(11, 11, 11)
                .add(jPanel4Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(modesAvanceDPAO, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel9))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jLabel12.setFont(new java.awt.Font("Arial", 1, 12));
        jLabel12.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel12.setText("Signataires");

        jLabel17.setFont(new java.awt.Font("Arial", 1, 12));
        jLabel17.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel17.setText("Charges à payer");

        jLabel13.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel13.setText("Mode Paiement Charges à Payer : ");

        buttonGroup7.add(checkCapClassiques);
        checkCapClassiques.setText("CAP classiques");

        modesChargesAPayer.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel18.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel18.setText("Gestion des charges à payer : ");

        buttonGroup7.add(checkCapSans);
        checkCapSans.setText("Pas de  gestion");

        buttonGroup7.add(checkCapExtourne);
        checkCapExtourne.setText("CAP Extourne");

        org.jdesktop.layout.GroupLayout jPanel5Layout = new org.jdesktop.layout.GroupLayout(jPanel5);
        jPanel5.setLayout(jPanel5Layout);
        jPanel5Layout.setHorizontalGroup(
            jPanel5Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel5Layout.createSequentialGroup()
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .add(jPanel5Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(jLabel13, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(jLabel18, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 251, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel5Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel5Layout.createSequentialGroup()
                        .add(checkCapSans)
                        .add(4, 4, 4)
                        .add(checkCapClassiques)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(checkCapExtourne))
                    .add(modesChargesAPayer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 435, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(23, 23, 23))
        );
        jPanel5Layout.setVerticalGroup(
            jPanel5Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel5Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel5Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jPanel5Layout.createSequentialGroup()
                        .add(jLabel18)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jPanel5Layout.createSequentialGroup()
                        .add(jPanel5Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(checkCapSans)
                            .add(checkCapClassiques)
                            .add(checkCapExtourne))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(modesChargesAPayer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );

        jLabel19.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel19.setText("EXERCICE : ");

        popupExercices.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .addContainerGap()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jLabel11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 208, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                        .add(jLabel15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 237, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 575, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                        .add(40, 40, 40)
                                        .add(jPanel2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, jSeparator8)
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, jSeparator7)))
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jLabel14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 255, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jLabel12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 215, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(jLabel17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 255, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                        .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                            .add(34, 34, 34)
                            .add(jPanel4, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                            .add(40, 40, 40)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                .add(layout.createSequentialGroup()
                                    .add(buttonCancel, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 42, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(buttonValidate, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 43, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .add(jPanel5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(jLabel19)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(popupExercices, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 124, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel19)
                    .add(popupExercices, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(11, 11, 11)
                .add(jLabel11)
                .add(3, 3, 3)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jSeparator8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(layout.createSequentialGroup()
                        .add(103, 103, 103)
                        .add(jSeparator7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(jLabel12)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(jLabel15)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(1, 1, 1)
                .add(jLabel14)
                .add(1, 1, 1)
                .add(jPanel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabel17)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.CENTER, false)
                    .add(buttonValidate, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(buttonCancel, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(34, Short.MAX_VALUE))
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-849)/2, (screenSize.height-870)/2, 849, 870);
    }// </editor-fold>//GEN-END:initComponents

	private void buttonCancelActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonCancelActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_buttonCancelActionPerformed

	private void checkMultiLbudActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkMultiLbudActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_checkMultiLbudActionPerformed

	private void checkMontantIndemnitesActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkMontantIndemnitesActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_checkMontantIndemnitesActionPerformed

	private void checkPlafondNuitsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkPlafondNuitsActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_checkPlafondNuitsActionPerformed

	private void checkNombreNuitsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkNombreNuitsActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_checkNombreNuitsActionPerformed

	private void temRestrictionLbudsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_temRestrictionLbudsActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_temRestrictionLbudsActionPerformed

	private void checkNombreRepasActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkNombreRepasActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_checkNombreRepasActionPerformed

	private void checkProrataActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkProrataActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_checkProrataActionPerformed

	private void temAllConventionsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_temAllConventionsActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_temAllConventionsActionPerformed

	private void checkPlafondRepasActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkPlafondRepasActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_checkPlafondRepasActionPerformed

	private void checkMontantRepasActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkMontantRepasActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_checkMontantRepasActionPerformed

	private void temRespFinancierActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_temRespFinancierActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_temRespFinancierActionPerformed

	private void temCheckForfaitActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_temCheckForfaitActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_temCheckForfaitActionPerformed

	private void temCheckSaisieMotifsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_temCheckSaisieMotifsActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_temCheckSaisieMotifsActionPerformed

	private void checkTelechargementActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkTelechargementActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_checkTelechargementActionPerformed

	private void checkCtrlAvancesActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkCtrlAvancesActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_checkCtrlAvancesActionPerformed

        private void checkClotureAutomatiqueActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkClotureAutomatiqueActionPerformed
            // TODO add your handling code here:
        }//GEN-LAST:event_checkClotureAutomatiqueActionPerformed

        private void checkSaisieMissionDateActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkSaisieMissionDateActionPerformed
            // TODO add your handling code here:
        }//GEN-LAST:event_checkSaisieMissionDateActionPerformed

        private void checkDateCreationMissionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkDateCreationMissionActionPerformed
            // TODO add your handling code here:
        }//GEN-LAST:event_checkDateCreationMissionActionPerformed

	/**
	 * @param args the command line arguments
	 */
	public static void main(String args[]) {
		java.awt.EventQueue.invokeLater(new Runnable() {
			public void run() {
				ParametrageView dialog = new ParametrageView(new javax.swing.JFrame(), true);
				dialog.addWindowListener(new java.awt.event.WindowAdapter() {
					public void windowClosing(java.awt.event.WindowEvent e) {
						System.exit(0);
					}
				});
				dialog.setVisible(true);
			}
		});
	}

	public javax.swing.JRadioButton getTemRespFinancier() {
		return temRespFinancier;
	}

	public void setTemRespFinancier(javax.swing.JRadioButton temRespFinancier) {
		this.temRespFinancier = temRespFinancier;
	}

	public javax.swing.JRadioButton getTemRespService() {
		return temRespService;
	}

	public void setTemRespService(javax.swing.JRadioButton temRespService) {
		this.temRespService = temRespService;
	}

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton buttonCancel;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.ButtonGroup buttonGroup2;
    private javax.swing.ButtonGroup buttonGroup3;
    private javax.swing.ButtonGroup buttonGroup4;
    private javax.swing.ButtonGroup buttonGroup5;
    private javax.swing.ButtonGroup buttonGroup6;
    private javax.swing.ButtonGroup buttonGroup7;
    private javax.swing.JButton buttonValidate;
    protected javax.swing.JRadioButton checkCapClassiques;
    protected javax.swing.JRadioButton checkCapExtourne;
    protected javax.swing.JRadioButton checkCapSans;
    protected javax.swing.JCheckBox checkClotureAutomatique;
    protected javax.swing.JCheckBox checkCtrlAvances;
    protected javax.swing.JCheckBox checkDateCreationMission;
    protected javax.swing.JCheckBox checkMontantIndemnites;
    protected javax.swing.JCheckBox checkMontantRepas;
    protected javax.swing.JCheckBox checkMultiLbud;
    protected javax.swing.JCheckBox checkNombreNuits;
    protected javax.swing.JCheckBox checkNombreRepas;
    protected javax.swing.JCheckBox checkPlafondNuits;
    protected javax.swing.JCheckBox checkPlafondRepas;
    protected javax.swing.JCheckBox checkProrata;
    protected javax.swing.JCheckBox checkSaisieMissionDate;
    protected javax.swing.JCheckBox checkTelechargement;
    protected javax.swing.JComboBox denominateurRemb;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel4;
    private javax.swing.JPanel jPanel5;
    private javax.swing.JSeparator jSeparator7;
    private javax.swing.JSeparator jSeparator8;
    protected javax.swing.JComboBox modesAvance;
    protected javax.swing.JComboBox modesAvanceDPAO;
    protected javax.swing.JComboBox modesChargesAPayer;
    protected javax.swing.JComboBox numerateurRemb;
    private javax.swing.JComboBox popupExercices;
    protected javax.swing.JCheckBox temAllConventions;
    protected javax.swing.JRadioButton temAvanceDepense;
    protected javax.swing.JRadioButton temAvanceOp;
    protected javax.swing.JCheckBox temCheckForfait;
    protected javax.swing.JCheckBox temCheckSaisieMotifs;
    protected javax.swing.JRadioButton temOrdonnateurEtab;
    protected javax.swing.JRadioButton temOrdonnateurUb;
    protected javax.swing.JRadioButton temRespFinancier;
    protected javax.swing.JRadioButton temRespService;
    protected javax.swing.JCheckBox temRestrictionLbuds;
    protected javax.swing.JRadioButton temSansSignataireOm;
    protected javax.swing.JRadioButton temSansSignatairesEtatFrais;
    protected javax.swing.JRadioButton temSignataireUniqueEtatFrais;
    protected javax.swing.JRadioButton temSignataireUniqueOm;
    protected javax.swing.JRadioButton temSignatairesJefyAdmin;
    protected javax.swing.JRadioButton temSignatairesKiwi;
    protected javax.swing.JRadioButton temTousSignatairesEtatFrais;
    protected javax.swing.JRadioButton temTousSignatairesOm;
    // End of variables declaration//GEN-END:variables

    
	public void setQuotientRemboursement() {

		numerateurRemb.removeAllItems();
		denominateurRemb.removeAllItems();
		for (int i=0;i<=10;i++) {
			denominateurRemb.addItem(new Integer(i));
			numerateurRemb.addItem(new Integer(i));
		}
	}

	public void setModesAvance(NSArray<EOModePaiement> liste) {

		modesAvance.removeAllItems();
		for (EOModePaiement myMode : liste) {
			modesAvance.addItem(myMode);
		}
		
	}

	public void setModesAvanceDPAO(NSArray<EOModePaiement> liste) {

		modesAvanceDPAO.removeAllItems();
		for (EOModePaiement myMode : liste) {
			modesAvanceDPAO.addItem(myMode);
		}
		
	}
	
	public void setExercices(NSArray<EOExercice> liste) {

		popupExercices.removeAllItems();

		for (EOExercice myExercice : liste) {
			popupExercices.addItem(myExercice);
		}
		
	}

	public void setModesCap(NSArray<EOModePaiement> liste) {
		modesChargesAPayer.removeAllItems();
		for (EOModePaiement myMode : liste) {
			modesChargesAPayer.addItem(myMode);
		}
		
	}

	
	
	private void initGui() {

		buttonValidate.setIcon(CocktailIcones.ICON_VALID);
		buttonCancel.setIcon(CocktailIcones.ICON_CANCEL);

	}


	public javax.swing.JButton getButtonCancel() {
		return buttonCancel;
	}

	public void setButtonCancel(javax.swing.JButton buttonCancel) {
		this.buttonCancel = buttonCancel;
	}

	public javax.swing.JButton getButtonValidate() {
		return buttonValidate;
	}

	public void setButtonValidate(javax.swing.JButton buttonValidate) {
		this.buttonValidate = buttonValidate;
	}

	public javax.swing.JCheckBox getCheckMontantIndemnites() {
		return checkMontantIndemnites;
	}

	public javax.swing.JCheckBox getCheckClotureAutomatique() {
		return checkClotureAutomatique;
	}

	public void setCheckClotureAutomatique(
			javax.swing.JCheckBox checkClotureAutomatique) {
		this.checkClotureAutomatique = checkClotureAutomatique;
	}

	public javax.swing.JCheckBox getCheckSaisieMissionDate() {
		return checkSaisieMissionDate;
	}

	public void setCheckSaisieMissionDate(
			javax.swing.JCheckBox checkSaisieMissionDate) {
		this.checkSaisieMissionDate = checkSaisieMissionDate;
	}

	public javax.swing.JComboBox getModesChargesAPayer() {
		return modesChargesAPayer;
	}

	public void setModesChargesAPayer(javax.swing.JComboBox modesChargesAPayer) {
		this.modesChargesAPayer = modesChargesAPayer;
	}

	public javax.swing.JCheckBox getTemCheckForfait() {
		return temCheckForfait;
	}

	public void setTemCheckForfait(javax.swing.JCheckBox temCheckForfait) {
		this.temCheckForfait = temCheckForfait;
	}

	public javax.swing.JCheckBox getTemCheckSaisieMotifs() {
		return temCheckSaisieMotifs;
	}

	public void setTemCheckSaisieMotifs(javax.swing.JCheckBox temCheckSaisieMotifs) {
		this.temCheckSaisieMotifs = temCheckSaisieMotifs;
	}

	public void setCheckMontantIndemnites(
			javax.swing.JCheckBox checkMontantIndemnites) {
		this.checkMontantIndemnites = checkMontantIndemnites;
	}

	public javax.swing.JCheckBox getCheckMontantRepas() {
		return checkMontantRepas;
	}

	public void setCheckMontantRepas(javax.swing.JCheckBox checkMontantRepas) {
		this.checkMontantRepas = checkMontantRepas;
	}

	public javax.swing.JCheckBox getCheckMultiLbud() {
		return checkMultiLbud;
	}

	public void setCheckMultiLbud(javax.swing.JCheckBox checkMultiLbud) {
		this.checkMultiLbud = checkMultiLbud;
	}

	public javax.swing.JCheckBox getCheckNombreNuits() {
		return checkNombreNuits;
	}

	public void setCheckNombreNuits(javax.swing.JCheckBox checkNombreNuits) {
		this.checkNombreNuits = checkNombreNuits;
	}

	public javax.swing.JCheckBox getCheckNombreRepas() {
		return checkNombreRepas;
	}

	public void setCheckNombreRepas(javax.swing.JCheckBox checkNombreRepas) {
		this.checkNombreRepas = checkNombreRepas;
	}

	public javax.swing.JCheckBox getCheckPlafondNuits() {
		return checkPlafondNuits;
	}

	public void setCheckPlafondNuits(javax.swing.JCheckBox checkPlafondNuits) {
		this.checkPlafondNuits = checkPlafondNuits;
	}

	public javax.swing.JCheckBox getCheckPlafondRepas() {
		return checkPlafondRepas;
	}

	public void setCheckPlafondRepas(javax.swing.JCheckBox checkPlafondRepas) {
		this.checkPlafondRepas = checkPlafondRepas;
	}

	public javax.swing.JCheckBox getCheckProrata() {
		return checkProrata;
	}

	public void setCheckProrata(javax.swing.JCheckBox checkProrata) {
		this.checkProrata = checkProrata;
	}

	public javax.swing.JComboBox getDenominateurRemb() {
		return denominateurRemb;
	}

	public void setDenominateurRemb(javax.swing.JComboBox denominateurRemb) {
		this.denominateurRemb = denominateurRemb;
	}

	public javax.swing.JComboBox getModesAvance() {
		return modesAvance;
	}

	public void setModesAvance(javax.swing.JComboBox modesAvance) {
		this.modesAvance = modesAvance;
	}

	public javax.swing.JComboBox getModesAvanceDPAO() {
		return modesAvanceDPAO;
	}

	public void setModesAvanceDPAO(javax.swing.JComboBox modesAvanceDPAO) {
		this.modesAvanceDPAO = modesAvanceDPAO;
	}

	public javax.swing.JComboBox getNumerateurRemb() {
		return numerateurRemb;
	}

	public void setNumerateurRemb(javax.swing.JComboBox numerateurRemb) {
		this.numerateurRemb = numerateurRemb;
	}

	public javax.swing.JCheckBox getTemAllConventions() {
		return temAllConventions;
	}

	public void setTemAllConventions(javax.swing.JCheckBox temAllConventions) {
		this.temAllConventions = temAllConventions;
	}

	public javax.swing.JRadioButton getTemAvanceDepense() {
		return temAvanceDepense;
	}

	public void setTemAvanceDepense(javax.swing.JRadioButton temAvanceDepense) {
		this.temAvanceDepense = temAvanceDepense;
	}

	public javax.swing.JRadioButton getTemAvanceOp() {
		return temAvanceOp;
	}

	public void setTemAvanceOp(javax.swing.JRadioButton temAvanceOp) {
		this.temAvanceOp = temAvanceOp;
	}

	public javax.swing.JRadioButton getTemOrdonnateurEtab() {
		return temOrdonnateurEtab;
	}

	public void setTemOrdonnateurEtab(javax.swing.JRadioButton temOrdonnateurEtab) {
		this.temOrdonnateurEtab = temOrdonnateurEtab;
	}

	public javax.swing.JRadioButton getTemOrdonnateurUb() {
		return temOrdonnateurUb;
	}

	public void setTemOrdonnateurUb(javax.swing.JRadioButton temOrdonnateurUb) {
		this.temOrdonnateurUb = temOrdonnateurUb;
	}

	public javax.swing.JCheckBox getTemRestrictionLbuds() {
		return temRestrictionLbuds;
	}

	public void setTemRestrictionLbuds(javax.swing.JCheckBox temRestrictionLbuds) {
		this.temRestrictionLbuds = temRestrictionLbuds;
	}

	public javax.swing.JRadioButton getTemSansSignataireOm() {
		return temSansSignataireOm;
	}

	public void setTemSansSignataireOm(javax.swing.JRadioButton temSansSignataireOm) {
		this.temSansSignataireOm = temSansSignataireOm;
	}

	public javax.swing.JRadioButton getTemSansSignatairesEtatFrais() {
		return temSansSignatairesEtatFrais;
	}

	public void setTemSansSignatairesEtatFrais(
			javax.swing.JRadioButton temSansSignatairesEtatFrais) {
		this.temSansSignatairesEtatFrais = temSansSignatairesEtatFrais;
	}

	public javax.swing.JRadioButton getTemSignataireUniqueEtatFrais() {
		return temSignataireUniqueEtatFrais;
	}

	public void setTemSignataireUniqueEtatFrais(
			javax.swing.JRadioButton temSignataireUniqueEtatFrais) {
		this.temSignataireUniqueEtatFrais = temSignataireUniqueEtatFrais;
	}

	public javax.swing.JRadioButton getTemSignataireUniqueOm() {
		return temSignataireUniqueOm;
	}

	public void setTemSignataireUniqueOm(
			javax.swing.JRadioButton temSignataireUniqueOm) {
		this.temSignataireUniqueOm = temSignataireUniqueOm;
	}

	public javax.swing.JRadioButton getTemSignatairesJefyAdmin() {
		return temSignatairesJefyAdmin;
	}

	public void setTemSignatairesJefyAdmin(
			javax.swing.JRadioButton temSignatairesJefyAdmin) {
		this.temSignatairesJefyAdmin = temSignatairesJefyAdmin;
	}

	public javax.swing.JRadioButton getTemSignatairesKiwi() {
		return temSignatairesKiwi;
	}

	public void setTemSignatairesKiwi(javax.swing.JRadioButton temSignatairesKiwi) {
		this.temSignatairesKiwi = temSignatairesKiwi;
	}

	public javax.swing.JRadioButton getTemTousSignatairesEtatFrais() {
		return temTousSignatairesEtatFrais;
	}

	public void setTemTousSignatairesEtatFrais(
			javax.swing.JRadioButton temTousSignatairesEtatFrais) {
		this.temTousSignatairesEtatFrais = temTousSignatairesEtatFrais;
	}

	public javax.swing.JRadioButton getTemTousSignatairesOm() {
		return temTousSignatairesOm;
	}

	public void setTemTousSignatairesOm(
			javax.swing.JRadioButton temTousSignatairesOm) {
		this.temTousSignatairesOm = temTousSignatairesOm;
	}

	public javax.swing.JButton getButtonAnnuler() {
		return buttonCancel;
	}

	public javax.swing.JCheckBox getCheckCtrlAvances() {
		return checkCtrlAvances;
	}

	public void setCheckCtrlAvances(javax.swing.JCheckBox checkCtrlAvances) {
		this.checkCtrlAvances = checkCtrlAvances;
	}

	public javax.swing.JCheckBox getCheckTelechargement() {
		return checkTelechargement;
	}

	public void setCheckTelechargement(javax.swing.JCheckBox checkTelechargement) {
		this.checkTelechargement = checkTelechargement;
	}


	public javax.swing.JCheckBox getCheckDateCreationMission() {
		return checkDateCreationMission;
	}

	public void setCheckDateCreationMission(
			javax.swing.JCheckBox checkDateCreationMission) {
		this.checkDateCreationMission = checkDateCreationMission;
	}

	public javax.swing.JRadioButton getCheckCapClassiques() {
		return checkCapClassiques;
	}

	public void setCheckCapClassiques(javax.swing.JRadioButton checkCapClassiques) {
		this.checkCapClassiques = checkCapClassiques;
	}

	public javax.swing.JRadioButton getCheckCapExtourne() {
		return checkCapExtourne;
	}

	public void setCheckCapExtourne(javax.swing.JRadioButton checkCapExtourne) {
		this.checkCapExtourne = checkCapExtourne;
	}

	public javax.swing.JRadioButton getCheckCapSans() {
		return checkCapSans;
	}

	public void setCheckCapSans(javax.swing.JRadioButton checkCapSans) {
		this.checkCapSans = checkCapSans;
	}

	public javax.swing.JComboBox getPopupExercices() {
		return popupExercices;
	}

	public void setPopupExercices(javax.swing.JComboBox popupExercices) {
		this.popupExercices = popupExercices;
	}


}
